aboutsummaryrefslogtreecommitdiffstats
path: root/make-series.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make-series.sh')
-rwxr-xr-xmake-series.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/make-series.sh b/make-series.sh
new file mode 100755
index 000000000000..659fcaf953f0
--- /dev/null
+++ b/make-series.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+SELF="$(readlink -f "${BASH_SOURCE[0]}")"
+cd "${SELF%/*}"
+set -ex
+
+[[ $1 =~ ^v[0-9]+$ ]] || { echo "ERROR: pass the version directory as an argument" >&2; exit 1; }
+mkdir -p "$1"
+rm -fv "$1"/*.patch
+git format-patch -o "$1" --notes --cover-letter --subject-prefix="PATCH net-next $1" net-next/master..master~
+sed 's/\*\*\* SUBJECT HERE \*\*\*/WireGuard: Secure Network Tunnel/' "$1/0000-cover-letter.patch" | head -n 8 > "$1/0000-cover-letter.patch.tmp"
+cat "$1/0000-cover-letter.patch.tmp" "changelog.txt" "zero-zero-text.txt" > "$1/0000-cover-letter.patch"
+rm -f "$1/0000-cover-letter.patch.tmp"